Name: 1394commander
Summary: IEEE1394 debugging tool
Version: 0.1.1
Release: 1
License: GPL
Group: CUED/MILAB/Applications
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/build-root-%{name}
Packager: Anna Langley
Distribution: MILAB
Prefix: /usr
Url: http://www.ict.tuwien.ac.at/ieee1394/opensource.html


Requires: libraw1394

%description
A simple console oriented tool based on libraw1394 to issue
asynchronous read, write and lock commands to some nodes on the bus as
well as to force bus resets. The main advantage of this tool over
other available tools (like gscanbus) is (besides not requiring a
graphical interface), that it reports the exact acknowledge and
response codes and therefore is very useful for debugging purposes.

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix}
make -j 2

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip

%clean

%files 
%{prefix}/bin/1394commander
%defattr(-,root,root,0755)
